Package uk.ac.starlink.votable.dom

# Class DelegatingElement

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode
uk.ac.starlink.votable.dom.DelegatingElement

All Implemented Interfaces:
  `Element`, `Node`

Direct Known Subclasses:
  `VOElement`

public class DelegatingElement extends DelegatingNode implements Element

## Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingElement(Element base, DelegatingDocument doc)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttribute(String name)`
`Attr`
`getAttributeNode(String name)`
`Attr`
`getAttributeNodeNS(String namespaceURI, String localName)`
`String`
`getAttributeNS(String namespaceURI, String localName)`
`NodeList`
`getElementsByTagName(String name)`
`NodeList`
`getElementsByTagNameNS(String namespaceURI, String localName)`
`TypeInfo`
`getSchemaTypeInfo()`
`String`
`getTagName()`
`boolean`
`hasAttribute(String name)`
`boolean`
`hasAttributeNS(String namespaceURI, String localName)`
`void`
`removeAttribute(String name)`
`Attr`
`removeAttributeNode(Attr oldAttr)`
`void`
`removeAttributeNS(String namespaceURI, String localName)`
`void`
`setAttribute(String name, String value)`
`Attr`
`setAttributeNode(Attr newAttr)`
`Attr`
`setAttributeNodeNS(Attr attr)`
`void`
`setAttributeNS(String namespaceURI, String qualifiedName, String value)`
`void`
`setIdAttribute(String name, boolean isId)`
`void`
`setIdAttributeNode(Attr idAttr, boolean isId)`
`void`
`setIdAttributeNS(String namespaceURI, String localName, boolean isId)`

### Methods inherited from class uk.ac.starlink.votable.dom.DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DelegatingElement

protected DelegatingElement(Element base, DelegatingDocument doc)

## Method Details

### getTagName

public String getTagName()

Specified by:
  `getTagName` in interface `Element`

### getAttribute

public String getAttribute(String name)

Specified by:
  `getAttribute` in interface `Element`

### setAttribute

public void setAttribute(String name, String value)

Specified by:
  `setAttribute` in interface `Element`

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `Element`

### getAttributeNode

public Attr getAttributeNode(String name)

Specified by:
  `getAttributeNode` in interface `Element`

### setAttributeNode

public Attr setAttributeNode(Attr newAttr)

Specified by:
  `setAttributeNode` in interface `Element`

### removeAttributeNode

public Attr removeAttributeNode(Attr oldAttr)

Specified by:
  `removeAttributeNode` in interface `Element`

### getElementsByTagName

public NodeList getElementsByTagName(String name)

Specified by:
  `getElementsByTagName` in interface `Element`

### getAttributeNS

public String getAttributeNS(String namespaceURI, String localName)

Specified by:
  `getAttributeNS` in interface `Element`

### setAttributeNS

public void setAttributeNS(String namespaceURI, String qualifiedName, String value)

Specified by:
  `setAttributeNS` in interface `Element`

### removeAttributeNS

public void removeAttributeNS(String namespaceURI, String localName)

Specified by:
  `removeAttributeNS` in interface `Element`

### getAttributeNodeNS

public Attr getAttributeNodeNS(String namespaceURI, String localName)

Specified by:
  `getAttributeNodeNS` in interface `Element`

### setAttributeNodeNS

public Attr setAttributeNodeNS(Attr attr)

Specified by:
  `setAttributeNodeNS` in interface `Element`

### getElementsByTagNameNS

public NodeList getElementsByTagNameNS(String namespaceURI, String localName)

Specified by:
  `getElementsByTagNameNS` in interface `Element`

### hasAttribute

public boolean hasAttribute(String name)

Specified by:
  `hasAttribute` in interface `Element`

### hasAttributeNS

public boolean hasAttributeNS(String namespaceURI, String localName)

Specified by:
  `hasAttributeNS` in interface `Element`

### getSchemaTypeInfo

public TypeInfo getSchemaTypeInfo()

Specified by:
  `getSchemaTypeInfo` in interface `Element`

### setIdAttribute

public void setIdAttribute(String name, boolean isId)

Specified by:
  `setIdAttribute` in interface `Element`

### setIdAttributeNS

public void setIdAttributeNS(String namespaceURI, String localName, boolean isId)

Specified by:
  `setIdAttributeNS` in interface `Element`

### setIdAttributeNode

public void setIdAttributeNode(Attr idAttr, boolean isId)

Specified by:
  `setIdAttributeNode` in interface `Element`